Package com.sun.jna.platform.win32

# Class DBT.DEV_BROADCAST_OEM

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.DBT.DEV_BROADCAST_OEM

Enclosing interface:
  DBT

@FieldOrder({"dbco_size","dbco_devicetype","dbco_reserved","dbco_identifier","dbco_suppfunc"}) public static class DBT.DEV_BROADCAST_OEM extends Structure
The Class DEV_BROADCAST_OEM.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`dbco_devicetype`
The dbco_devicetype.
`int`
`dbco_identifier`
The dbco_identifier.
`int`
`dbco_reserved`
The dbco_reserved.
`int`
`dbco_size`
The dbco_size.
`int`
`dbco_suppfunc`
The dbco_suppfunc.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`DEV_BROADCAST_OEM()`
Instantiates a new dev broadcast oem.
`DEV_BROADCAST_OEM(Pointer memory)`
Instantiates a new dev broadcast oem.

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dbco_size

public int dbco_size
The dbco_size.

### dbco_devicetype

public int dbco_devicetype
The dbco_devicetype.

### dbco_reserved

public int dbco_reserved
The dbco_reserved.

### dbco_identifier

public int dbco_identifier
The dbco_identifier.

### dbco_suppfunc

public int dbco_suppfunc
The dbco_suppfunc.

## Constructor Details

### DEV_BROADCAST_OEM

public DEV_BROADCAST_OEM()
Instantiates a new dev broadcast oem.

### DEV_BROADCAST_OEM

public DEV_BROADCAST_OEM(Pointer memory)
Instantiates a new dev broadcast oem.

Parameters:
  `memory` - the memory